Summary:       TCP "echo" performance test
Name:          echoping
Version:       6.0.2
Release:       1%{?dist}
License:       GPL
Group:         Applications/Internet
Source0:       http://downloads.sourceforge.net/echoping/echoping-%{version}.tar.gz
URL:           http://echoping.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel, libidn-devel, popt-devel, zlib-devel, openldap-devel, postgresql-devel

%description
Echoping is a small program to test (approximatively) performances of a
remote host by sending TCP "echo" (or other protocol, such as HTTP)
packets.

%package       dns
Summary:       DNS plugin for checking response times of DNS servers
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}

%description   dns
DNS performance measurement plugin for echoping.


%package       ldap
Summary:       LDAP plugin for checking response times of LDAP servers
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}

%description   ldap
LDAP performance measurement plugin for echoping.


%package       postgresql
Summary:       PostgreSQL plugin for checking response times of PostgreSQL servers
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}

%description   postgresql
PostgreSQL performance measurement plugin for echoping.


%package       whois
Summary:       WHOIS plugin for checking response times of Whois servers
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}

%description    whois
WHOIS performance measurement plugin for echoping.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure \
	--enable-icp \
	--enable-http \
	--enable-smtp \
	--enable-tos \
	--enable-priority \
 	--with-libidn \
	--with-ssl \
	--without-gnutls \
	--disable-static \
	CFLAGS="%{optflags} -D_GNU_SOURCE" 


%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Clean .la files
find %{buildroot} -name '*.la' | xargs rm -f
rm -f %{buildroot}%{_libdir}/echoping/random.*
rm -f %{buildroot}%{_mandir}/man1/echoping_random.1*

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog README TODO DETAILS
%{_bindir}/echoping
%{_mandir}/man1/echoping.1*

%files dns
%{_mandir}/man1/echoping_dns.1*
%{_libdir}/echoping/dns.so.*

%files ldap
%{_mandir}/man1/echoping_ldap.1*
%{_libdir}/echoping/ldap.so.*

%files postgresql
%{_mandir}/man1/echoping_postgresql.1*
%{_libdir}/echoping/postgresql.so.*

%files whois
%{_mandir}/man1/echoping_whois.1*
%{_libdir}/echoping/whois.so.*

%files devel
%{_includedir}/echoping/
%{_libdir}/echoping/*.so

%changelog
* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> - 6.0.2-1
- Updated to 6.0.2
- Split into subpackages for plugins

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 5.2.0-3
- Rebuild for deps

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 5.2.0-2
- FE6 Rebuild

* Wed Mar 13 2006 Andreas Thienemann <andreas@bawue.net> 5.2.0-1
- Initial FE release.
